local frame = CreateFrame("Frame", nil, UIParent);

function DoOnSpellCast(self, event, ...)

	local unitID, spell, rank, target = ...;

	local inInstance, instanceType = IsInInstance();
	

	if (spell == "Devotion Aura") then
	
		if (instanceType == "raid") then
			SendChatMessage("Casting " .. spell .. ". Magic damage to PARTY/RAID reduced by 20% and no silence/interrupt for 6 seconds.", "RAID");
		elseif (instanceType == "party") then
			SendChatMessage("Casting " .. spell .. ". Magic damage to PARTY/RAID reduced by 20% and no silence/interrupt for 6 seconds.", "PARTY");
		else
			SendChatMessage("Casting " .. spell .. ". Magic damage to PARTY/RAID reduced by 20% and no silence/interrupt for 6 seconds.", "PARTY");
		end
	end

	if (spell == "Hand of Purity") then
	
		if (instanceType == "raid") then
			SendChatMessage("Casting " .. spell .. " on " .. target .. ". This will reduce DoTs by 70% for 6 sec.", "RAID");
		elseif (instanceType == "party") then
			SendChatMessage("Casting " .. spell .. " on " .. target .. ". This will reduce DoTs by 70% for 6 sec.", "PARTY");
		else
			SendChatMessage("Casting " .. spell .. " on " .. target .. ". This will reduce DoTs by 70% for 6 sec.", "PARTY");
		end
	end

	if (spell == "Hand of Freedom") then
	
		if (instanceType == "raid") then
			SendChatMessage("Casting " .. spell .. ". " .. target .. " is immune to movement impairment.", "RAID");
		elseif (instanceType == "party") then
			SendChatMessage("Casting " .. spell .. ". " .. target .. " is immune to movement impairment.", "PARTY");
		else
			SendChatMessage("Casting " .. spell .. ". " .. target .. " is immune to movement impairment.", "PARTY");
		end
	end

	if (spell == "Hand of Protection") then
	
		if (instanceType == "raid") then
			SendChatMessage("Casting " .. spell .. ". " .. target .. " is immune to physical damage for 10 seconds, but can't attack.", "RAID");
		elseif (instanceType == "party") then
			SendChatMessage("Casting " .. spell .. ". " .. target .. " is immune to physical damage for 10 seconds, but can't attack.", "PARTY");
		else
			SendChatMessage("Casting " .. spell .. ". " .. target .. " is immune to physical damage for 10 seconds, but can't attack.", "PARTY");
		end
	end

	if (spell == "Hand of Salvation") then
	
		if (instanceType == "raid") then
			SendChatMessage("Casting " .. spell .. " to reduce " .. target .. "'s agro.", "RAID");
		elseif (instanceType == "party") then
			SendChatMessage("Casting " .. spell .. " to reduce " .. target .. "'s agro.", "PARTY");
		else
			SendChatMessage("Casting " .. spell .. " to reduce " .. target .. "'s agro.", "PARTY");
		end
	end

	if (spell == "Hand of Sacrifice") then
	
		if (instanceType == "raid") then
			SendChatMessage("Casting " .. spell .. " to transfer damage to me from " .. target .. ".", "RAID");
		elseif (instanceType == "party") then
			SendChatMessage("Casting " .. spell .. " to transfer damage to me from " .. target .. ".", "PARTY");
		else
			SendChatMessage("Casting " .. spell .. " to transfer damage to me from " .. target .. ".", "PARTY");
		end
	end


end

frame:RegisterEvent("UNIT_SPELLCAST_SENT");

frame:SetScript("OnEvent", DoOnSpellCast);
